#pragma once
#include "UMmuSDK.h"

class PAX: public MFD {
public:
	PAX (DWORD w, DWORD h, VESSEL *vessel);
	~PAX ();
	char *ButtonLabel (int bt);
	int ButtonMenu (const MFDBUTTONMENU **menu) const;
	bool ConsumeKeyBuffered (DWORD key);
	bool ConsumeButton (int bt, int event);
	void Update (HDC hDC);
	static int MsgProc (UINT msg, UINT mfd, WPARAM wparam, LPARAM lparam);
private:
	// UMMU 1.5 DECLARATION
	UMMUCREWMANAGMENT Crew;
	VESSEL *vessel;
	OBJHANDLE object;
	void SwitchPAXMode();
	void CenterTextOut(HDC hDC, int line, LPSTR text, int column=-1, bool toUpper=false);
	int width;
	int heigth;
	int lastButton;
	double lastTime;
	COLORREF middleGreen;
	bool blink;
};